wandb.project_name:
  value: insect-seed-detection
# The w&b user or group the project should belong to.
wandb.entity:
  value: marcelschilling
wandb.notes:
  value: Retrain on small dataset
wandb.tags:
  value: null
# Valid values: online/enabled, offline, disabled
# online/enabled = default, runs in online mode. Both enabled and online can be used.
# offline = runs in offline mode, writes all data to disk for later syncing to a server.
# disabled = makes all calls to wandb api's noop's.
wandb.mode:
  value: disabled

wandb.mode:
  value: disabled

experiment.name:
  value: small-dataset-training
# Seed of this experiment to ensure reproducibility.
experiment.seed:
  value: 1337

# Model Configuration
model.name:
  value: UnetInstSegSupervised
model.params.input_channels:
  value: 1
model.loss_fcn:
  value: SmoothL1Loss

# Optimizer
model.optimizer.type:
  value: Adam
model.optimizer.params.lr:
  value: 0.001
model.optimizer.params.params:
  value: UnetInstSegSupervised
# LR Scheduler
model.optimizer.lrs.type:
  value: ReduceLROnPlateau
model.optimizer.lrs.params.factor:
  value: 0.5
model.optimizer.lrs.params.patience:
  value: 5
model.optimizer.lrs.params.verbose:
  value: [false, true]
model.optimizer.lrs.params.cooldown:
  value: 0
model.optimizer.lrs.params.min_lr:
  value: 0.00001


# Data Configuration
data.datamodule.name:
  value: BaseInstanceSegmentationDataModule
data.datamodule.root_dirs:
  value: 
    local: /home/ws/sc1357/data/BBBC038_Anna_composed/
    iai_gpu: 
data.datamodule.device:
  value: local
data.datamodule.arguments.n_classes:
  value: 1
data.datamodule.arguments.val_to_train_ratio:
  value: 0.2
data.datamodule.arguments.batch_size:
  value: 4
data.datamodule.arguments.num_workers:
  value: 4



# General Augmentations
data.img_processing.norm_type:
  value: per_image
data.img_processing.img_type:
  value: mono_8_bit
data.img_processing.replay_processing_pipeline:
  value: [false, true]
# data.img_processing.img_size:
#   value: [256,256]

# Augmentations
data.img_processing.aug1.replay_processing_pipeline:
  value: [false, true]

# Flip
data.img_processing.aug1.aug_flip_prob:
  value: 0.5

# Gaussian Blur
data.img_processing.aug1.gaussian_blur_prop:
  value: 0.5
data.img_processing.aug1.gaussian_blur_kernel_size:
  # Zero or odd
  value: [0,3]
data.img_processing.aug1.std_dev_range:
  value: [0,0]

# Scale/Rotate/Shift
data.img_processing.aug1.aug_shift_scale_rotate_prob:
  value: 0.5
data.img_processing.aug1.aug_shift_scale_rotate_shift_lim:
  value: 0.1
data.img_processing.aug1.aug_shift_scale_rotate_scale_lim:
  value: 0.1
data.img_processing.aug1.aug_shift_scale_rotate_rot_lim:
  value: 10

# Contrast/Brightness Adjustment
data.img_processing.aug1.aug_rand_brightness_contrast_prob:
  value: 0.5
data.img_processing.aug1.aug_rand_brightness_contrast_brightness_limit:
  value: 0.2
data.img_processing.aug1.aug_rand_brightness_contrast_contrast_limit:
  value: 0.2

# Random Crop
data.img_processing.aug1.random_resized_propability:
  value: 0.5
data.img_processing.aug1.random_resized_crop_size:
  value: [256, 256]
data.img_processing.aug1.random_resized_scale:
  value: [0.8, 1.0]
data.img_processing.aug1.random_resized_ratio:
  value: [0.9, 1.1]
